Skip to main content
`Ctrl`+`K`

# PetscGetFlops

Returns the number of flops used on this processor since the program began.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscGetFlops(PetscLogDouble *flops)

Not Collective

## Output Parameter

- flops - number of floating point operations

## Notes

A global counter logs all PETSc flop counts. The user can use `PetscLogFlops()` to increment this counter to include flops for the application code.

A separate counter `PetscLogGpuFlops()` logs the flops that occur on any GPU associated with this MPI rank

## See Also

Profiling, `PetscLogGpuFlops()`, `PetscTime()`, `PetscLogFlops()`

## Level

intermediate

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages